---
title: "Retrieve document · Documents · COUNT Partner API"
description: "Returns a single document by UUID. GET /partners/documents/{uuid}"
canonical: "https://developers.getcount.com/reference/documents/get-document"
source: "https://developers.getcount.com/reference/documents/get-document"
---
[Documents](https://developers.getcount.com/reference/documents) / Retrieve document

# Retrieve document

GET `/partners/documents/{uuid}`

Returns a single document by UUID.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Fdocuments%2F%7Buuid%7D)

[Customers API](https://developers.getcount.com/reference/customers) [Projects API](https://developers.getcount.com/reference/projects)

#### Path parameters

`uuid` uuid required

Document UUID.

#### Responses

`200` Document returned under data.

`404` Document not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET List documents](https://developers.getcount.com/reference/documents/list-documents) [Next POST Upload document](https://developers.getcount.com/reference/documents/upload-document)

GET `https://api.getcount.com/partners/documents/{uuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/documents/d9e0f1a2-b3c4-5678-def0-890123456789';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/documents/d9e0f1a2-b3c4-5678-def0-890123456789`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "data": {
    "id": "d9e0f1a2-b3c4-5678-def0-890123456789",
    "fileName": "contract-acme-2026.pdf",
    "folderPath": "Contracts",
    "mimeType": "application/pdf",
    "fileSize": 245760,
    "vendor": null,
    "customer": {
      "id": "dfa3219e-6af8-4c53-997a-037534f63a35",
      "customer": "Acme Corporation"
    },
    "person": null,
    "project": null,
    "documentType": {
      "id": "b96cbac4-95f8-46cd-b0d7-a9ab92299ce0",
      "code": "contract",
      "name": "Contract",
      "documentTypeGroup": {
        "id": "a11040f7-ecda-43ee-917d-21c83ef278c0",
        "code": "legal_and_corporate",
        "name": "Legal and Corporate"
      }
    },
    "documentTypeSource": "ai",
    "periodStartDate": "2026-03-01",
    "periodEndDate": "2027-02-28",
    "periodSource": "ai",
    "createdAt": "2026-03-01T09:00:00.000Z",
    "updatedAt": "2026-03-01T09:00:00.000Z"
  }
}
```
